> ## Documentation Index
> Fetch the complete documentation index at: https://docs.morrowly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# 아파트 실거래가 찾기

> 권한 없이 어느 토큰으로나 부릅니다.



## OpenAPI

````yaml /openapi.json get /v1/real-estate/apartments
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.morrowly.app
security:
  - token: []
paths:
  /v1/real-estate/apartments:
    get:
      tags:
        - real-estate
      summary: 아파트 실거래가 찾기
      description: 권한 없이 어느 토큰으로나 부릅니다.
      operationId: apartments
      parameters:
        - in: query
          name: region
          required: true
          schema:
            type: string
        - in: query
          name: q
          required: true
          schema:
            type: string
        - in: query
          name: kind
          required: false
          schema:
            $ref: '#/components/schemas/PriceKind'
            default: SALE
      responses:
        '200':
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResponseListApartment'
          description: OK
        '401':
          description: 토큰이 없거나 틀리거나 만료됨(본문 없음)
components:
  schemas:
    PriceKind:
      enum:
        - SALE
        - JEONSE
      type: string
    ApiResponseListApartment:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Apartment'
          type:
            - array
            - 'null'
        error:
          oneOf:
            - $ref: '#/components/schemas/ErrorMessage'
            - type: 'null'
        result:
          $ref: '#/components/schemas/ResultType'
      required:
        - data
        - error
        - result
      type: object
    Apartment:
      properties:
        buildYear:
          format: int32
          type:
            - integer
            - 'null'
        complexId:
          type: string
        dong:
          type: string
        name:
          type: string
        trades:
          items:
            $ref: '#/components/schemas/Trade'
          type: array
      required:
        - buildYear
        - complexId
        - dong
        - name
        - trades
      type: object
    ErrorMessage:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      required:
        - code
        - data
        - message
      type: object
    ResultType:
      enum:
        - SUCCESS
        - ERROR
      type: string
    Trade:
      properties:
        area:
          format: double
          type: number
        date:
          format: date
          type: string
        floor:
          format: int32
          type:
            - integer
            - 'null'
        price:
          format: int64
          type: integer
      required:
        - area
        - date
        - floor
        - price
      type: object
  securitySchemes:
    token:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.